// Sensor de Humedad     
            
    // Conectamos el sensor de la siguiente forma:        
    // GND    -> GND        
    // VCC    -> 5V        
    // DAT    -> A0            
      
#include "DHT.h"
#define DHTPIN1 6
#define DHTPIN2 9
#define DHTTYPE DHT11 
 
DHT dht(DHTPIN1, DHTTYPE);
DHT dht2(DHTPIN2, DHTTYPE);

int Valor; //humedad 1
int Valor2; //humedad 2

int relayPin=8;

void setup() {
Serial.begin(9600);
pinMode(relayPin, OUTPUT);
dht.begin();
dht2.begin();
} 
 
void loop(){  
Serial.print("Humedad Tierra 1: ");
  
Valor = analogRead(0);  
Serial.print(Valor);
Serial.print(" - ");

Serial.print("Humedad Tierra 2: ");
Valor2 = analogRead(1);
Serial.print(Valor2);
Serial.print("\n");

int h = dht.readHumidity();// Lee la humedad
int t= dht.readTemperature();//Lee la temperatura
//////////////////////////////////////////////////Humedad
Serial.print("Humedad Nevera: ");                 
Serial.print(h);//Escribe la humedad
Serial.print(" %"); 
Serial.print(" - ");                    
///////////////////////////////////////////////////Temperatura              
Serial.print("Temperatura Nevera: ");                  
Serial.print(t);//Escribe la temperatura
Serial.print(" C'");
Serial.print("\n");  

int h2 = dht2.readHumidity();// Lee la humedad calle
int t2= dht2.readTemperature();//Lee la temperatura calle
//////////////////////////////////////////////////Humedad
Serial.print("Humedad Calle: ");                 
Serial.print(h2);//Escribe la humedad calle
Serial.print(" %"); 
Serial.print(" - ");                    
///////////////////////////////////////////////////Temperatura              
Serial.print("Temperatura calle: ");                  
Serial.print(t2);//Escribe la temperatura calle
Serial.print(" C'");
Serial.println("\n"); 

delay(3000);  
   
if ((Valor > 300) and (Valor <= 700)) { 
   Serial.println(" Humedo, no regar");
   digitalWrite(relayPin, LOW);  
}  
if (Valor > 700) { 
  Serial.println(" Seco, necesitas regar"); 
  digitalWrite(relayPin, HIGH); 
}
delay(1000);
} 
